public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-libs/gtk/
Date: Sat,  4 May 2024 21:22:25 +0000 (UTC)	[thread overview]
Message-ID: <1714857722.d729c7f6afb96826edab20a1a7bdeb22db2b451f.leio@gentoo> (raw)

commit:     d729c7f6afb96826edab20a1a7bdeb22db2b451f
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat May  4 21:21:32 2024 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat May  4 21:22:02 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d729c7f6

gui-libs/gtk: add 4.14.4

Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 gui-libs/gtk/Manifest          |   1 +
 gui-libs/gtk/gtk-4.14.4.ebuild | 251 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 252 insertions(+)

diff --git a/gui-libs/gtk/Manifest b/gui-libs/gtk/Manifest
index d20cfb519069..778cd0fb700c 100644
--- a/gui-libs/gtk/Manifest
+++ b/gui-libs/gtk/Manifest
@@ -1,2 +1,3 @@
 DIST gtk-4.12.5.tar.xz 17314760 BLAKE2B ce6a88d2c3ecfa2a9773682645ff00a61fd932b9a6de764794ef8abd10c5c75df386801143c32d10fec110029e997a16c4cdcb0ef050905562c6dd9fdc46039d SHA512 813758f4fe23b99b2ea1cf22156b86b22df30024717ae3b30bbe36111f9b1363bbd4da5fe8e5f69268c43794ea165e12c1c5bc52fd64bcbb1f9ccd3121540ac4
 DIST gtk-4.14.3.tar.xz 18340444 BLAKE2B 20238e061c6500a8b253617010ac017e84ec2cacd9f10a7d2e982e9d72b72d78ee46abb3eb836d853d1d10736c697fc7468b2700b16ce5477a34400e8758e2b8 SHA512 2502fff3e98cb45f2293c94d86c32ff9b7c88d72eb7500a19fc9e589e1eda69af94c4eae78c044dcf5cf345cb99537d264250115d633034d9552cadc67f71e8e
+DIST gtk-4.14.4.tar.xz 18306548 BLAKE2B 352831cb6373488593831e0d3489d425ca19b2b6c5541e269e251bb4f0455b435d73d24befef441fe09537838446eb773f33cbca746a9aeeed2204c413535ac0 SHA512 33a983f4ebac9088eaf9d3794a171d1619632bbcb27d9f46d894305dc15f83615a18443598b3c62a553b9596438b58226560ba17c41e539c76c3ee8a2b62c651

diff --git a/gui-libs/gtk/gtk-4.14.4.ebuild b/gui-libs/gtk/gtk-4.14.4.ebuild
new file mode 100644
index 000000000000..7f0c8930ab74
--- /dev/null
+++ b/gui-libs/gtk/gtk-4.14.4.ebuild
@@ -0,0 +1,251 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{10..12} )
+inherit gnome.org gnome2-utils meson optfeature python-any-r1 toolchain-funcs virtualx xdg
+
+DESCRIPTION="GTK is a multi-platform toolkit for creating graphical user interfaces"
+HOMEPAGE="https://www.gtk.org/ https://gitlab.gnome.org/GNOME/gtk/"
+
+LICENSE="LGPL-2+"
+SLOT="4"
+IUSE="aqua broadway cloudproviders colord cups examples gstreamer +introspection sysprof test vulkan wayland +X cpu_flags_x86_f16c"
+REQUIRED_USE="
+	|| ( aqua wayland X )
+	test? ( introspection )
+"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# TODO: Optional gst build dep on >=gst-plugins-base-1.23.1, so depend on it once we can
+COMMON_DEPEND="
+	>=dev-libs/glib-2.76.0:2
+	>=x11-libs/cairo-1.17.6[aqua?,glib,svg(+),X?]
+	>=x11-libs/pango-1.50.0[introspection?]
+	>=dev-libs/fribidi-1.0.6
+	>=media-libs/harfbuzz-2.6.0:=
+	>=x11-libs/gdk-pixbuf-2.30:2[introspection?]
+	media-libs/libpng:=
+	media-libs/tiff:=
+	media-libs/libjpeg-turbo:=
+	>=media-libs/libepoxy-1.4[egl(+),X(+)?]
+	>=media-libs/graphene-1.10.0[introspection?]
+	app-text/iso-codes
+	x11-misc/shared-mime-info
+
+	cloudproviders? ( net-libs/libcloudproviders )
+	colord? ( >=x11-misc/colord-0.1.9:0= )
+	cups? ( >=net-print/cups-2.0 )
+	examples? ( gnome-base/librsvg:2 )
+	gstreamer? (
+		>=media-libs/gstreamer-1.12.3:1.0
+		>=media-libs/gst-plugins-bad-1.12.3:1.0
+		|| (
+			>=media-libs/gst-plugins-base-1.12.3:1.0[gles2]
+			>=media-libs/gst-plugins-base-1.12.3:1.0[opengl]
+		)
+	)
+	introspection? ( >=dev-libs/gobject-introspection-1.76:= )
+	vulkan? ( >=media-libs/vulkan-loader-1.3:= )
+	wayland? (
+		>=dev-libs/wayland-1.21.0
+		>=dev-libs/wayland-protocols-1.31
+		media-libs/mesa[wayland]
+		>=x11-libs/libxkbcommon-0.2
+	)
+	X? (
+		media-libs/fontconfig
+		media-libs/mesa[X(+)]
+		x11-libs/libX11
+		>=x11-libs/libXi-1.8
+		x11-libs/libXext
+		>=x11-libs/libXrandr-1.5
+		x11-libs/libXcursor
+		x11-libs/libXfixes
+		x11-libs/libXdamage
+		x11-libs/libXinerama
+	)
+"
+DEPEND="${COMMON_DEPEND}
+	kernel_linux? (
+		x11-libs/libdrm
+		sys-kernel/linux-headers
+	)
+	sysprof? ( >=dev-util/sysprof-capture-3.40.1:4 )
+	X? ( x11-base/xorg-proto )
+"
+RDEPEND="${COMMON_DEPEND}
+	>=dev-util/gtk-update-icon-cache-3
+"
+# librsvg for svg icons (PDEPEND to avoid circular dep on wd40 profiles with librsvg[tools]), bug #547710
+PDEPEND="
+	gnome-base/librsvg:2
+	>=x11-themes/adwaita-icon-theme-3.14
+"
+BDEPEND="
+	dev-libs/gobject-introspection-common
+	introspection? (
+		${PYTHON_DEPS}
+		$(python_gen_any_dep '
+			dev-python/pygobject:3[${PYTHON_USEDEP}]
+		')
+	)
+	dev-python/docutils
+	dev-libs/glib
+	>=dev-util/gdbus-codegen-2.48
+	dev-util/glib-utils
+	>=sys-devel/gettext-0.19.7
+	virtual/pkgconfig
+	vulkan? ( media-libs/shaderc )
+	wayland? (
+		dev-util/wayland-scanner
+	)
+	test? (
+		dev-libs/glib:2
+		media-fonts/cantarell
+		wayland? ( dev-libs/weston[headless] )
+	)
+"
+
+python_check_deps() {
+	python_has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]" || return
+}
+
+pkg_setup() {
+	use introspection && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+	xdg_environment_reset
+
+	# Nothing should use gtk4-update-icon-cache and an unversioned one is shipped by dev-util/gtk-update-icon-cache
+	sed -i \
+		-e '/gtk4-update-icon-cache/d' \
+		docs/reference/gtk/meson.build \
+		tools/meson.build \
+		|| die
+
+	# The border-image-excess-size.ui test is known to fail on big-endian platforms
+	# See https://gitlab.gnome.org/GNOME/gtk/-/issues/5904
+	if [[ $(tc-endian) == big ]]; then
+		sed -i \
+			-e "/border-image-excess-size.ui/d" \
+			-e "/^xfails =/a 'border-image-excess-size.ui'," \
+			testsuite/reftests/meson.build || die
+	fi
+}
+
+src_configure() {
+	local emesonargs=(
+		# GDK backends
+		$(meson_use X x11-backend)
+		$(meson_use wayland wayland-backend)
+		$(meson_use broadway broadway-backend)
+		-Dwin32-backend=false
+		$(meson_use aqua macos-backend)
+
+		# Media backends
+		$(meson_feature gstreamer media-gstreamer)
+
+		# Print backends
+		-Dprint-cpdb=disabled
+		$(meson_feature cups print-cups)
+
+		# Optional dependencies
+		$(meson_feature vulkan)
+		$(meson_feature cloudproviders)
+		$(meson_feature sysprof)
+		-Dtracker=disabled  # tracker3 is not packaged in Gentoo yet
+		$(meson_feature colord)
+		# Expected to fail with GCC < 11
+		# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=71993
+		$(meson_feature cpu_flags_x86_f16c f16c)
+
+		# Introspection
+		$(meson_feature introspection)
+
+		# Documentation
+		-Ddocumentation=false # we ship pregenerated API docs from tarball
+		-Dscreenshots=false
+		-Dman-pages=true
+
+		# Demos, examples, and tests
+		-Dprofile=default
+		$(meson_use examples build-demos)
+		$(meson_use test build-testsuite)
+		$(meson_use examples build-examples)
+		-Dbuild-tests=false
+	)
+	meson_src_configure
+}
+
+src_test() {
+	"${BROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/gtk" || die
+
+	if use X; then
+		einfo "Running tests under X"
+		GSETTINGS_SCHEMA_DIR="${S}/gtk" virtx meson_src_test --timeout-multiplier=130 \
+			--setup=x11 \
+			--no-suite=failing \
+			--no-suite=x11_failing \
+			--no-suite=flaky \
+			--no-suite=headless \
+			--no-suite=gsk-compare-broadway
+	fi
+
+	if use wayland; then
+		einfo "Running tests under Weston"
+
+		export XDG_RUNTIME_DIR="$(mktemp -p $(pwd) -d xdg-runtime-XXXXXX)"
+
+		weston --backend=headless-backend.so --socket=wayland-5 --idle-time=0 &
+		compositor=$!
+		export WAYLAND_DISPLAY=wayland-5
+
+		GSETTINGS_SCHEMA_DIR="${S}/gtk" meson_src_test --timeout-multiplier=130 \
+			--setup=wayland \
+			--no-suite=failing \
+			--no-suite=wayland_failing \
+			--no-suite=flaky \
+			--no-suite=headless \
+			--no-suite=gsk-compare-broadway
+
+		exit_code=$?
+		kill ${compositor}
+	fi
+}
+
+src_install() {
+	meson_src_install
+
+	insinto /usr/share/gtk-doc/html
+	# This will install API docs specific to X11 and wayland regardless of USE flags, but this is intentional
+	doins -r "${S}"/docs/reference/{gtk/gtk4,gsk/gsk4,gdk/gdk4{,-wayland,-x11}}
+}
+
+pkg_preinst() {
+	xdg_pkg_preinst
+	gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+
+	if ! has_version "app-text/evince"; then
+		elog "Please install app-text/evince for print preview functionality."
+		elog "Alternatively, check \"gtk-print-preview-command\" documentation and"
+		elog "add it to your settings.ini file."
+	fi
+
+	if use examples ; then
+		optfeature "syntax highlighting in gtk4-demo" app-text/highlight
+	fi
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


             reply	other threads:[~2024-05-04 21:22 UTC|newest]

Thread overview: 128+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-04 21:22 Mart Raudsepp [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-07  2:52 [gentoo-commits] repo/gentoo:master commit in: gui-libs/gtk/ Sam James
2024-09-07 10:32 Arthur Zamarin
2024-09-07 10:31 Arthur Zamarin
2024-09-07 10:31 Arthur Zamarin
2024-09-07 10:31 Arthur Zamarin
2024-09-07 10:31 Arthur Zamarin
2024-09-07 10:31 Arthur Zamarin
2024-09-07 10:31 Arthur Zamarin
2024-08-12 16:49 Eli Schwartz
2024-08-09 17:19 Sam James
2024-08-09 17:19 Sam James
2024-08-09 17:19 Sam James
2024-08-09 17:19 Sam James
2024-08-09 17:19 Sam James
2024-04-28 20:44 Mart Raudsepp
2024-04-28 20:44 Mart Raudsepp
2024-04-25 21:55 Sam James
2024-04-22  5:49 Mart Raudsepp
2024-04-08  9:51 Mart Raudsepp
2024-04-06 21:20 Arthur Zamarin
2024-04-06 21:20 Arthur Zamarin
2024-04-06 21:20 Arthur Zamarin
2024-04-06 21:19 Arthur Zamarin
2024-04-06 21:19 Arthur Zamarin
2024-04-06 21:19 Arthur Zamarin
2024-04-06 21:19 Arthur Zamarin
2024-02-10 14:21 Arthur Zamarin
2024-02-10 14:16 Arthur Zamarin
2024-02-10 14:16 Arthur Zamarin
2024-02-03 15:57 Mart Raudsepp
2024-02-03 11:50 Arthur Zamarin
2024-02-03 11:50 Arthur Zamarin
2024-02-03 11:50 Arthur Zamarin
2024-01-20 23:34 Mart Raudsepp
2024-01-08  7:03 Sam James
2023-12-21 19:19 Mart Raudsepp
2023-12-17 21:52 Mart Raudsepp
2023-10-08 11:51 Pacho Ramos
2023-09-22  2:33 Matt Turner
2023-09-21  1:46 Matt Turner
2023-09-01 16:07 Arthur Zamarin
2023-08-29 18:02 Arthur Zamarin
2023-08-29 17:49 Arthur Zamarin
2023-08-25 16:04 Matt Turner
2023-08-16 22:32 Matt Turner
2023-08-12 19:39 Arthur Zamarin
2023-08-10  2:23 Matt Turner
2023-08-06 17:36 Matt Turner
2023-08-06  3:26 Matt Turner
2023-08-02 17:00 Sam James
2023-07-15 12:20 Arthur Zamarin
2023-07-15  8:49 Arthur Zamarin
2023-07-02 13:11 Sam James
2023-07-02  8:33 Sam James
2023-07-02  8:04 Sam James
2023-06-09  3:01 Matt Turner
2023-06-06  0:31 Matt Turner
2023-05-23  2:52 Sam James
2023-05-04 16:37 Arthur Zamarin
2023-05-04 16:37 Arthur Zamarin
2023-05-04 16:32 Arthur Zamarin
2023-05-04 16:32 Arthur Zamarin
2023-05-04 16:16 Arthur Zamarin
2023-05-03  6:33 Arthur Zamarin
2023-05-02 20:50 Sam James
2023-05-02 17:53 Arthur Zamarin
2023-04-25 19:01 Sam James
2023-04-22 14:45 Matt Turner
2023-04-22  3:08 Matt Turner
2023-03-14 17:48 Matt Turner
2023-03-05  3:25 Matt Turner
2023-02-20 17:32 Matt Turner
2023-02-17  8:23 Arthur Zamarin
2023-02-16 18:39 Arthur Zamarin
2023-02-16 18:39 Arthur Zamarin
2022-12-23  0:19 Matt Turner
2022-12-15 22:37 Matt Turner
2022-12-15 22:37 Matt Turner
2022-11-05  9:44 Arthur Zamarin
2022-10-30 23:21 Matt Turner
2022-10-25 20:08 Matt Turner
2022-10-14 14:29 Matt Turner
2022-10-14  4:00 Matt Turner
2022-10-08 18:25 Sam James
2022-10-06 16:38 Matt Turner
2022-09-28 16:29 Arthur Zamarin
2022-09-19  1:38 Sam James
2022-09-13 17:21 Matt Turner
2022-08-18  2:25 Matt Turner
2022-08-15 19:13 Arthur Zamarin
2022-08-15 19:13 Arthur Zamarin
2022-08-15 17:43 Arthur Zamarin
2022-07-21  0:13 Sam James
2022-07-18 17:44 Sam James
2022-07-03 18:46 Matt Turner
2022-05-31  9:24 Jakov Smolić
2022-05-31  3:49 Matt Turner
2022-05-31  3:48 Matt Turner
2022-05-26  3:57 WANG Xuerui
2022-05-15  3:10 Sam James
2022-05-14  4:54 Matt Turner
2022-05-10  4:06 Arthur Zamarin
2022-05-07 18:28 Arthur Zamarin
2022-04-28 18:40 Matt Turner
2022-03-27  4:44 Matt Turner
2022-03-27  4:44 Matt Turner
2022-03-20 22:15 Matt Turner
2022-03-09 15:39 Sam James
2022-02-12 17:01 Matt Turner
2022-01-24  3:39 Sam James
2022-01-20 10:02 Jakov Smolić
2022-01-20  9:42 Arthur Zamarin
2022-01-07 22:56 Mart Raudsepp
2021-11-10 21:53 Mart Raudsepp
2021-09-11 13:15 Mart Raudsepp
2021-08-24 10:42 Marek Szuba
2021-06-13 20:25 Sam James
2021-05-15  1:59 Sam James
2021-05-10 12:23 Sam James
2021-05-10 12:23 Sam James
2021-05-08  2:08 Thomas Deutschmann
2021-05-04 20:12 Matt Turner
2021-05-04 19:25 Matt Turner
2021-05-04  4:11 Matt Turner
2021-05-03 22:39 Matt Turner
2021-05-01  3:39 Matt Turner
2021-04-05 16:54 Matt Turner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1714857722.d729c7f6afb96826edab20a1a7bdeb22db2b451f.leio@gentoo \
    --to=leio@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox